OpenVDB: PagedArray< ValueT, Log2PageSize >::Iterator Class Reference

OpenVDB 10.0.1

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
PagedArray< ValueT, Log2PageSize >::Iterator Class Reference

`#include <openvdb/util/PagedArray.h>`

Inheritance diagram for PagedArray< ValueT, Log2PageSize >::Iterator:

## Public Types
using | BaseT = std::iterator< std::random_access_iterator_tag, ValueT >
using | difference_type = typename BaseT::difference_type

## Public Member Functions
| Iterator ()
| Iterator (PagedArray &parent, size_t pos=0)
| Iterator (const Iterator &other)
Iterator & | operator= (const Iterator &other)
Iterator & | operator++ ()
Iterator & | operator-- ()
Iterator | operator++ (int)
Iterator | operator-- (int)
ValueT & | operator* () const
ValueT * | operator-> () const
ValueT & | operator[] (const difference_type &pos) const
Iterator & | operator+= (const difference_type &pos)
Iterator & | operator-= (const difference_type &pos)
Iterator | operator+ (const difference_type &pos) const
Iterator | operator- (const difference_type &pos) const
difference_type | operator- (const Iterator &other) const
bool | operator== (const Iterator &other) const
bool | operator!= (const Iterator &other) const
bool | operator>= (const Iterator &other) const
bool | operator<= (const Iterator &other) const
bool | operator< (const Iterator &other) const
bool | operator> (const Iterator &other) const
bool | isValid () const
size_t | pos () const

## Member Typedef Documentation

## ◆ BaseT

template<typename ValueT , size_t Log2PageSize = 10UL>

using BaseT = std::iterator<std::random_access_iterator_tag, ValueT>

## ◆ difference_type

template<typename ValueT , size_t Log2PageSize = 10UL>

using difference_type = typename BaseT::difference_type

## Constructor & Destructor Documentation

## ◆ Iterator() [1/3]

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator | ( |  | ) |
| inline

## ◆ Iterator() [2/3]

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator | ( | PagedArray & | parent,
|  | size_t | pos = `0`
| ) |  |
| inline

## ◆ Iterator() [3/3]

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator | ( | const Iterator & | other | ) |
| inline

## Member Function Documentation

## ◆ isValid()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool isValid | ( |  | ) | const
| inline

## ◆ operator!=()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator!= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator*()

template<typename ValueT , size_t Log2PageSize = 10UL>

ValueT & operator* | ( |  | ) | const
| inline

## ◆ operator+()

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator operator+ | ( | const difference_type & | pos | ) | const
| inline

## ◆ operator++() [1/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator & operator++ | ( |  | ) |
| inline

## ◆ operator++() [2/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator operator++ | ( | int |  | ) |
| inline

## ◆ operator+=()

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator & operator+= | ( | const difference_type & | pos | ) |
| inline

## ◆ operator-() [1/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator operator- | ( | const difference_type & | pos | ) | const
| inline

## ◆ operator-() [2/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

difference_type operator- | ( | const Iterator & | other | ) | const
| inline

## ◆ operator--() [1/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator & operator-- | ( |  | ) |
| inline

## ◆ operator--() [2/2]

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator operator-- | ( | int |  | ) |
| inline

## ◆ operator-=()

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator & operator-= | ( | const difference_type & | pos | ) |
| inline

## ◆ operator->()

template<typename ValueT , size_t Log2PageSize = 10UL>

ValueT * operator-> | ( |  | ) | const
| inline

## ◆ operator<()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator< | ( | const Iterator & | other | ) | const
| inline

## ◆ operator<=()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator<= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator=()

template<typename ValueT , size_t Log2PageSize = 10UL>

Iterator & operator= | ( | const Iterator & | other | ) |
| inline

## ◆ operator==()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator== | ( | const Iterator & | other | ) | const
| inline

## ◆ operator>()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator> | ( | const Iterator & | other | ) | const
| inline

## ◆ operator>=()

template<typename ValueT , size_t Log2PageSize = 10UL>

bool operator>= | ( | const Iterator & | other | ) | const
| inline

## ◆ operator[]()

template<typename ValueT , size_t Log2PageSize = 10UL>

ValueT & operator[] | ( | const difference_type & | pos | ) | const
| inline

## ◆ pos()

template<typename ValueT , size_t Log2PageSize = 10UL>

size_t pos | ( |  | ) | const
| inline